docs

# VoiceFile

data class VoiceFile ( val fileId: FileId , val fileUniqueId: FileUniqueId , val duration: Long ? = null, val mimeType: MimeType ? = null, val fileSize: Long ? = null) : TelegramMediaFile, MimedMediaFile, PlayableMediaFile
Content copied to clipboard

## Constructors

VoiceFile
Link copied to clipboard
fun VoiceFile ( fileId: FileId , fileUniqueId: FileUniqueId , duration: Long ? = null, mimeType: MimeType ? = null, fileSize: Long ? = null)
Content copied to clipboard

## Properties

duration
Link copied to clipboard
open override val duration : Long ? = null
Content copied to clipboard
fileId
Link copied to clipboard
open override val fileId : FileId
Content copied to clipboard
fileSize
Link copied to clipboard
open override val fileSize : Long ? = null
Content copied to clipboard
fileUniqueId
Link copied to clipboard
open override val fileUniqueId : FileUniqueId
Content copied to clipboard
mimeType
Link copied to clipboard
open override val mimeType : MimeType ? = null
Content copied to clipboard

## Extensions

asAudioFile
Link copied to clipboard
fun VoiceFile . asAudioFile ( performer: String ? = null, title: String ? = null, fileName: String ? = null): AudioFile
Content copied to clipboard